#include <iostream>
#include <cmath>
using namespace std;

int main()
{
    int milos;
    int brkomsija;
    cin>>brkomsija>>milos;
    int komsija[brkomsija];
    for(int i=0; i<brkomsija; i++)
    {
        cin>>komsija[i];
    }
    for(int i=0; i<brkomsija-1; i++)
    {
        for(int j=i+1; j<brkomsija; j++)
        {
            if(komsija[i]>komsija[j])
            {
                int pomeraj=komsija[i];
                komsija[i]=komsija[j];
                komsija[j]=pomeraj;
            }
        }
    }
    int distanca=0;
    int milos1=milos;
    int milos2=milos;
    int distanca1=0, distanca2=0;
    for(int i=0; i<brkomsija; i++)
    {
        if(milos1<0&&komsija[i]>0)
        {
            distanca1=distanca1+abs(-milos1-komsija[i]);
        }
        else
        {
            distanca1=distanca1+abs(milos1-komsija[i]);
        }
        milos1=komsija[i];
    }
    for(int i=brkomsija-1; i>=0; i--)
    {
        if(milos2<0&&komsija[i]>0)
        {
            distanca2=distanca2+abs(-milos2-komsija[i]);
        }
        else
        {
            distanca2=distanca2+abs(milos2-komsija[i]);
        }
        milos2=komsija[i];
    }
    if(distanca2<=distanca1)distanca=distanca2;
    else distanca=distanca1;
    cout<<distanca;
    return 0;
}